
FIND_PATH (PCRE_INCLUDE_DIR pcrecpp.h /usr/include /usr/local/include)

FIND_LIBRARY (PCRE_LIBRARY NAMES pcrecpp PATH /usr/lib /usr/local/include)

IF (NOT PCRE_INCLUDE_DIR)
	MESSAGE (SEND_ERROR "pcrecpp.h not found. Set PCRE_INCLUDE_DIR")
ELSE (NOT PCRE_INCLUDE_DIR)
	MESSAGE (STATUS "include: ${PCRE_INCLUDE_DIR}")
ENDIF (NOT PCRE_INCLUDE_DIR)

IF (NOT PCRE_LIBRARY)
	MESSAGE (SEND_ERROR "libpcrecpp not found. Set PCRE_LIBRARY")
ELSE (NOT PCRE_LIBRARY)
	MESSAGE (STATUS "lib: ${PCRE_LIBRARY}")
ENDIF (NOT PCRE_LIBRARY)
