/*
 *
 * Copyright (C) 2006-2007  imaxin|software
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * */

#include <iostream>
#include <string>
#include <db_cxx.h>

#include "freeling.h"
#include "freeling/traces.h"

#define TUPLA ","

using namespace std;

class HashError
{
public:
	// Public constructor and destructor
	HashError(const string path_error);
	~HashError();

	// Public routines		
	int searchPattern(const string analysis, vector<string> *v_suggestion);

private:
	Db *_db_err;
	
	int searchInHash(const string analysis, string *suggestion);
};
